Subject: Re: [RFC] changing gcc default output executable name (a.exe now)
From: Richard Hitt <[email-masked]>
To: Mumit Khan <[email-masked]>
Cc: Mingw32 discussion list at eGroups <[email-masked]>, [email-masked]
Date: Thu, 13 Jan 2000 19:41:38 -0800

Hi, Mumit

Here's a different perspective.  Things work fine as is.  Starting
with source file hello.c, the command
	make hello
gives me just what I want.  No makefile is necessary, of course; it's
all taken care of by make.  Starting with hello[123].c, the command
	make hello1 hello2 hello3
again gives me just what I want:  three executables hello1.exe, ....

Yes, it's lots of people's habit to do things the hard way, by
specifying explicit compiler name, but let's not change their
expectations needlessly.

Richard

On Wed, 12 Jan 2000 23:07:40 -0600 (CST), you wrote:

>
>Are people happy/ok with the fact that gcc on win32 produces a program
>called a.exe by default? For example,
>  
>  $ gcc foo.c
>
>will create a.exe. This is of course not really expected on DOS/Windows
>world, and causes all sorts of confusion. Also, this is simply lame even
>on Unix, and this historical bit should've disappeared long ago, but
>won't since it's a convention now.
>
>I'd like to move to creating <name>.exe, where <name> is the first file
>on the list you provided to gcc.
>  
>  $ gcc foo1.c foo2.c foo3.c
>
>will produce foo1.exe, not a.exe as it does now.
>
>Is this something we should change?? 
>
>Regards,
>Mumit

--
Want to unsubscribe from this list?
Send a message to [email-masked]